
Name: app-gateway-management-community
Epoch: 1
Version: 2.0.2
Release: 1%{dist}
Summary: Gateway Management Community
License: All rights reserved
Group: ClearOS/Apps
Packager: Roger Peters
Source: %{name}-%{version}.tar.gz
Buildarch: noarch
Requires: %{name}-core = 1:%{version}-%{release}
Requires: app-base

%description
Control your Internet. Get everything you want and nothing you don't. Uses mostly DNS-based answers to block unwanted content such as pornography, identity theft, phishing, ads, behavioral profiling, content marketers, etc. Access geo-blocked content from other countries.

%package core
Summary: Gateway Management Community - Core
License: All rights reserved
Group: ClearOS/Libraries
Requires: app-base-core
Requires: app-gateway-management >= 1:2.0.9

%description core
Control your Internet. Get everything you want and nothing you don't. Uses mostly DNS-based answers to block unwanted content such as pornography, identity theft, phishing, ads, behavioral profiling, content marketers, etc. Access geo-blocked content from other countries.

This package provides the core API and libraries.

%prep
%setup -q
%build

%install
mkdir -p -m 755 %{buildroot}/usr/clearos/apps/gateway_management_community
cp -r * %{buildroot}/usr/clearos/apps/gateway_management_community/


%post
logger -p local6.notice -t installer 'app-gateway-management-community - installing'

%post core
logger -p local6.notice -t installer 'app-gateway-management-community-core - installing'

if [ $1 -eq 1 ]; then
    [ -x /usr/clearos/apps/gateway_management_community/deploy/install ] && /usr/clearos/apps/gateway_management_community/deploy/install
fi

[ -x /usr/clearos/apps/gateway_management_community/deploy/upgrade ] && /usr/clearos/apps/gateway_management_community/deploy/upgrade

exit 0

%preun
if [ $1 -eq 0 ]; then
    logger -p local6.notice -t installer 'app-gateway-management-community - uninstalling'
fi

%preun core
if [ $1 -eq 0 ]; then
    logger -p local6.notice -t installer 'app-gateway-management-community-core - uninstalling'
    [ -x /usr/clearos/apps/gateway_management_community/deploy/uninstall ] && /usr/clearos/apps/gateway_management_community/deploy/uninstall
fi

exit 0

%files
%defattr(-,root,root)
/usr/clearos/apps/gateway_management_community/controllers
/usr/clearos/apps/gateway_management_community/htdocs

%files core
%defattr(-,root,root)
%exclude /usr/clearos/apps/gateway_management_community/packaging
%exclude /usr/clearos/apps/gateway_management_community/unify.json
%dir /usr/clearos/apps/gateway_management_community
/usr/clearos/apps/gateway_management_community/deploy
/usr/clearos/apps/gateway_management_community/language
